#! /bin/bash

echo this script will install the benchathlon starter package
echo into reasonable locations in your home directory
echo that is
echo $HOME/perl
echo $HOME/lib

cd expat-1.95.2/
./configure --prefix=${HOME}/lib && make all install
cd ..

perl MakeEnv.pl

source env.sh

perl Makefile.PL INSTALLDIRS=perl PREFIX=${HOME}/perl 
    INSTALLBIN=${HOME}/perl/bin\
    INSTALLSCRIPT=${HOME}/perl/bin\
    INSTALLSITELIB=${HOME}/perl/sitelib\
    INSTALLSITELIB=${HOME}/perl/sitelib\
    INSTALLPRIVLIB=${HOME}/perl/privlib\
    INSTALLARCHLIB=${HOME}/perl/archlib\
    INSTALLSITEARCH=${HOME}/perl/sitearch\
 INSTLLMAN1DIR=${HOME}/perl/share/man/man1\
 INSTLLMAN3DIR=${HOME}/perl/share/man/man3

make all install

echo "Please look at eventual error messages"
echo "Please add now 'source env.sh' to your .bashrc file"
echo "or"
echo "Please add now 'source env.csh' to your .cshrc file"
